import {
  COMPONENTS_TYPE,
  COMMONLY_USED,
  SCENE_DISPLAY,
  SIGN_OPERATION,
  MOTION_OPERATION
} from '@/pages/common/graph-common/node-types'


export const componentsData = [
  {
    id: COMPONENTS_TYPE.COMMONLY_USED,
    name: '通用组件',
    isDir: true,
    children: [
      {
        id: COMMONLY_USED.VARIATE,
        name: '变量',
      }
    ],
  },
  {
    id: COMPONENTS_TYPE.SCENE_DISPLAY,
    name: '场景触发',
    isDir: true,
    children: [
      {
        id: SCENE_DISPLAY.EQUIPMENT,
        name: '设备触发',
      },
      {
        id: SCENE_DISPLAY.TIME,
        name: '时间触发',
      },
      {
        id: SCENE_DISPLAY.MANUAL,
        name: '手动按钮',
      }
    ],
  },
  {
    id: COMPONENTS_TYPE.SIGN_OPERATION,
    name: '运算符号',
    isDir: true,
    children: [
      {
        id: SIGN_OPERATION.RELATION,
        name: '关系运算',
      },
      {
        id: SIGN_OPERATION.LOGICAL,
        name: '逻辑运算',
      },
      {
        id: SIGN_OPERATION.CONDITION,
        name: '条件判断',
      }
    ],
  },
  {
    id: COMPONENTS_TYPE.MOTION_OPERATION,
    name: '运动符号',
    isDir: true,
    children: [
      {
        id: MOTION_OPERATION.EQUIPMENT,
        name: '设备触发',
      },
      {
        id: MOTION_OPERATION.TIME,
        name: '时间触发',
      },
      {
        id: MOTION_OPERATION.MANUAL,
        name: '手动触发',
      }
    ],
  },
  {
    id: COMPONENTS_TYPE.APPLICATION,
    name: '应用组件',
    isDir: true,
    children: [],
  }

]


export const applicationTemplate = () => {
  return {
    id: 10,
    defSource: 2,
    docUrl: '',
    ioType: 0,
    up: 148,
    down: 11,
    iconType: 1,

    author: 'demo author',
    codeName: 'algo_1',
    catId: 1,
    lastModifyTime: '2020-08-25 15:43:39',
    createdTime: '2015-04-16 13:38:11',
    engineType: 0,


    owner: 'system',
    description: '组件描述信息',
    name: '算法组件1',
    parentId: 'recentlyUsed',
    isBranch: false,
    social: {
      defSource: 2,
      isEnabled: true,
      docUrl: '#',
      iconType: 1,

      author: 'demo author',
      codeName: 'algo_1',
      catId: 1,
      lastModifyTime: '2020-08-25 15:43:39',
      createdTime: '2015-04-16 13:38:11',
      owner: 'system',
      description: '组件描述信息',
      name: '算法组件1',
      id: 10,
    },
  }
}
